<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginBottom="8dp"
        android:orientation="horizontal"
        android:paddingLeft="10dp"
        android:paddingRight="10dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/userCommentImg"
            android:layout_width="100dp"
            android:layout_height="60dp"
            android:layout_weight="1"
            android:contentDescription="@string/app_name"
            android:scaleType="fitCenter"
            app:srcCompat="@drawable/default_avatar" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingLeft="10dp"
            android:paddingRight="10dp">

            <TextView
                android:id="@+id/userTxt"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:textColor="@android:color/darker_gray"
                android:textStyle="italic" />

            <TextView
                android:id="@+id/userCommentary"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:autoLink="web"
                android:linksClickable="true"
                android:maxLength="1000"
                android:maxLines="10" />

            <TextView
                android:id="@+id/replyBtn"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:text="@string/reply"
                android:textColor="?attr/colorSecondary"
                android:textStyle="bold" />
        </LinearLayout>
    </LinearLayout>
</androidx.constraintlayout.widget.ConstraintLayout>